ReflectionClass::getExtension
ReflectionClass::getFileName
ReflectionClass
PHP Manual

# ReflectionClass::getExtensionName

(PHP 5)

ReflectionClass::getExtensionName — Gets the name of the extension which defined the class

### Description

public string ReflectionClass::getExtensionName ( void )

Gets the name of the extension which defined the class.

### Parameters

This function has no parameters.

### Return Values

The name of the extension which defined the class, or `FALSE` for user-defined classes.

### Examples

Example #1 Basic usage of ReflectionClass::getExtensionName()

`<?php
$class = new ReflectionClass('ReflectionClass');
$extension = $class->getExtensionName();
var_dump($extension);
?>`

The above example will output:

    string(10) "Reflection"

### See Also

- ReflectionClass::getExtension() - Gets a ReflectionExtension object for the extension which defined the class

ReflectionClass::getExtension
ReflectionClass::getFileName
ReflectionClass
PHP Manual